# Uses of Interface
com.logicaldoc.core.security.authentication.Authenticator

Packages that use Authenticator
Package
Description
com.logicaldoc.core.security.authentication
The pluggable authentication mechanism.

## Uses of Authenticator in com.logicaldoc.core.security.authentication

Classes in com.logicaldoc.core.security.authentication that implement Authenticator
Modifier and Type
Class
Description
`class`
`AbstractAuthenticator`
A place to put common methods of the authenticators
`class`
`ApiKeyAuthenticator`
This authenticator uses the API Key
`class`
`AuthenticationChain`
This authentication component implements a chain of possible authentication sources that will be invoked sequentially.
`class`
`DefaultAuthenticator`
This is the basic authentication mechanism, that searches for the user in the LogicalDOC database.
Methods in com.logicaldoc.core.security.authentication that return Authenticator
Modifier and Type
Method
Description
`Authenticator`
AuthenticationException.`getAuthenticator()`
Constructors in com.logicaldoc.core.security.authentication with parameters of type Authenticator
Modifier
Constructor
Description
``
`AccountDisabledException(Authenticator authenticator)`
``
`AccountInactiveException(Authenticator authenticator)`
``
`AccountNotFoundException(Authenticator authenticator)`
``
`AccountNotFoundException(Authenticator authenticator, String message)`
``
`AccountTypeNotAllowedException(Authenticator authenticator)`
``
`AuthenticationException(Authenticator authenticator)`
``
`AuthenticationException(Authenticator authenticator, String code)`
``
`AuthenticationException(Authenticator authenticator, String code, Throwable cause)`
``
`OutsideWorkingTimeException(Authenticator authenticator)`
``
`PasswordExpiredException(Authenticator authenticator)`
``
`WrongPasswordException(Authenticator authenticator)`